open_jtalk(1)

NAME
open_jtalk — Japanese TTS system

SYNOPSIS

open_jtalk [options] [infile]

DESCRIPTION

This manual page documents briefly the open_jtalk command.

This manual page was written for the Debian distribution because the original program does not have a manual page. Instead, it has documentation in the GNU Info format; see below.

open_jtalk is a program that synthesize speech waveform from Japanese texts. It uses HMMs trained by the HMM-based speech synthesis system (HTS).

OPTIONS

A summary of options is included below.

-x  dir
    dictionary directory

-m  htsvoice
    HTS voice files

-ow s
    filename of output wav audio (generated speech)

-ot s
    filename of output trace information

-s  i
    sampling frequency [ auto][ 1-- ]

-p  i
    frame period (point) [ auto][ 1-- ]

-a  f
    all-pass constant [ auto][ 0.0-- 1.0]

-b  f
    postfiltering coefficient [ 0.0][ 0.0-- 1.0]

-r  f
    speech speed rate [ 1.0][ 0.0-- ]

-fm f
    additional half-tone [ 0.0][ -- ]

-u  f
    voiced/unvoiced threshold [ 0.5][ 0.0-- 1.0]

-jm f
    weight of GV for spectrum [ 1.0][ 0.0-- ]

-jf f
    weight of GV for log F0 [ 1.0][ 0.0-- ]

-z  i
    audio buffer size (if i==0, turn off) [ 0][ 0-- ]

infile
    text file [stdin]

EXAMPLE

If you installed hts-voice-nitech-jp-atr503-m001 in the current directory, the following command let you make a voice file from input.txt:

    % open_jtalk -s 48000 -p 240 -a 0.55 \
    -m nitech_jp_atr503_m001.htsvoice \
    -ow output.wav \
    -x dic_dir input.txt

AUTHOR

This manual page was written by Koichi Akabe vbkaisetsu@gmail.com for the Debian system (and may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.